Bug 141027 - X segfaults when xscreensaver starts
X segfaults when xscreensaver starts
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-28 09:27 EST by Kaj J. Niemi
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-14 04:21:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log.old showing the crash (40.07 KB, text/plain)
2004-11-28 09:30 EST, Kaj J. Niemi
no flags Details

  None (edit)
Description Kaj J. Niemi 2004-11-28 09:27:23 EST
User-Agent:       
Build Identifier: 

On a IBM T40p with a ATI Radeon 9600 card recent xorg-x11 releases, say, later
than 6.8.1-14 result in a segfault when the xscreensaver kicks in. This was sort
of annoying especially as I had the xscreensaver timeout as 5 minutes... >;)



Reproducible: Always
Steps to Reproduce:
Easiest way to replicate is:

1. login session
2. open terminal window (gnome-terminal or similar)
3. xscreensaver-command -activate

Actual Results:  
X segfaults and I end up at the gdm prompt again.


Attached is Xorg.0.log.

Let me know if there's anything else :)

% rpm -qa xorg\*
xorg-x11-font-utils-6.8.1-19
xorg-x11-doc-6.8.1-19
xorg-x11-6.8.1-19
xorg-x11-libs-6.8.1-19
xorg-x11-xauth-6.8.1-19
xorg-x11-twm-6.8.1-19
xorg-x11-Mesa-libGL-6.8.1-19
xorg-x11-xfs-6.8.1-19
xorg-x11-xdm-6.8.1-19
xorg-x11-deprecated-libs-devel-6.8.1-19
xorg-x11-Mesa-libGLU-6.8.1-19
xorg-x11-tools-6.8.1-19
xorg-x11-sdk-6.8.1-19
xorg-x11-deprecated-libs-6.8.1-19
xorg-x11-devel-6.8.1-19

% rpm -q xscreensaver
xscreensaver-4.18-12
Comment 1 Kaj J. Niemi 2004-11-28 09:30:24 EST
Created attachment 107514 [details]
Xorg.0.log.old showing the crash
Comment 2 Alex Butcher 2004-11-28 19:44:38 EST
As a workaround, try disabling the GL screensavers. These can
sometimes provoke the GL drivers into crashing.
Comment 3 Kaj J. Niemi 2004-11-29 04:16:52 EST
Thanks for the tip.. forgot all about GL. ;(

Previewing a GL screensaver locks the display while previewing a
non-GL screensaver works fine (tried anemone). The only way to get out
of the "locks the display" problem is to hit the powerbutton and wait
for the machine to gracefully shut itself down.
Comment 4 Kaj J. Niemi 2005-01-14 04:21:30 EST
Works with xorg-x11-6.8.1.901-1.i386, thanks.

Note You need to log in before you can comment on or make changes to this bug.